ressource.socialbetadocumentation
API referenceNotifications

Mark every unread notification read

POST/api/v1/notifications/read-all

“Try it” is off for this endpoint: it deletes or rewrites data in bulk. Use the code samples instead.

Authorization

headerAuthorizationBearer <token>

A personal access token (rsk_…) or a Supabase access token.

Response Body

How many changed

application/json
  1. response
updated*integer
Range-9007199254740991 <= value <= 9007199254740991
curl -X POST 'https://www.ressource.social/api/v1/notifications/read-all'
{  "updated": -9007199254740991}